#include <iostream>

using namespace std;
static int a[3] = {1,2,5};
int broj_novcanica = 0;
int f[100];
int max1 = INT_MAX/2;
void Solve(int n)
{

    f[0] = 0;
    if(f[n]!=0)
      broj_novcanica+=f[n];

    else{
             int min1;
    for(int i = 1;i<=n;i++)
    {
        min1 = max1;
        for(int j = 0;j<3;j++)
            if(i>=a[j] && f[i-a[j]]+1 < min1)
             min1 = f[i-a[j]]+1;
        f[i] = min1;

    }
    if(f[n]!=max1);
    broj_novcanica+=f[n];

    }


}

int main()
{

    int n;
    long long int broj;
    cin >> broj;
    int zbir  = 0;
    while(broj>0)
    {
        int cifra = broj%10;
        Solve(cifra);
        broj/=10;
    }
    cout << broj_novcanica;

    return 0;
}